メインコンテンツまでスキップ

10.3.x から 10.4 へのアップグレードが停止します

Views:
24
Visibility:
Public
Votes:
0
Category:
storagegrid-webscale
Specialty:
sgrid
Last Updated:

に適用されます

StorageGRID Webscale 10.3.x

問題

GMI ( Grid Management Interface )からの「 Upgrade Grid Nodes 」の段階で、全体的なアップグレードプロセスが停止しています。

1085323_1.png

1 つのストレージノードがグリッドトポロジからグレーのステータスになっています。

1085323_2.png

DDS 、 SSM 、 LDR などのサービスの「ステータス変更」のアラームは、トリガー値が管理上のダウンとして報告されます。

/var/local/log/gdu-server.log Admin ノードでは、 1 つのストレージノードがノードスコープのアップグレードジョブを完了するまで、アップグレードプロセス全体が待機していることが示されます。

I, [2018-03-30T04:05:19.932678 0008183] INFO -- gdu-server: Attempting to upgrade from 10.3.0.4 to 10.4.0...
I, [2018-03-30T04:05:20.924058 0008183] INFO -- gdu-server: Stopping all services
I, [2018-03-30T04:06:15.996732 0008183] INFO -- gdu-server: Backing up resource files
I, [2018-03-30T04:06:16.051361 0008183] INFO -- gdu-server: Packing persistent data
I, [2018-03-30T04:06:16.736361 0008183] INFO -- gdu-server: No config dir found. Could not write version file.
I, [2018-03-30T04:06:16.736722 0008183] INFO -- gdu-server: Upgrade phase 1 is complete.
I, [2018-03-30T04:06:16.736979 0008183] INFO -- gdu-server: This platform base-os is owned by storagegrid. Updating base-os packages
I, [2018-03-30T04:06:17.283990 0008183] INFO -- gdu-server: Starting base-os upgrade. This node will be stopped in 30 seconds.
I, [2018-03-30T04:06:17.564760 0008183] INFO -- gdu-server: Executing command `rm -f /etc/DoNotStartNode` on <IP_Address>
I, [2018-03-30T04:06:17.568264 0008183] INFO -- gdu-server: updategrid completed. Waiting for node to update base-os and reboot

/var/log/upgrade.logグリッドトポロジでグレーで表示されているストレージノードで、次のエラーが表示されます。

Setting up pge-updater (10.4.0-20170324.1849.f3f1236) ...
/var/lib/dpkg/info/pge-updater.postinst:16:in `run_cmd': /sbin/pge_image_updater install failed: (RuntimeError)
lsblk: /dev/disk/by-label/pge-actv-root: not a block device
lsblk: /dev/disk/by-label/pge-actv-root: not a block device
   from /var/lib/dpkg/info/pge-updater.postinst:58:in `<main>'
dpkg: error processing package pge-updater (--configure):
 subprocess installed post-installation script returned error exit status 1
......
Errors were encountered while processing:
 pge-updater
E: Sub-process /usr/bin/dpkg returned an error code (1)
Package install completed with exit code 100
Failed to install required base-os packages
Not cleaning up upgrade-stage
Rebooting...
WARNING: Ignoring /sbin/shutdown request while base-os upgrade flag exists.
Complete the base-os upgrade to restore /sbin/shutdown command behaviour

Sign in to view the entire content of this KB article.

New to NetApp?

Learn more about our award-winning Support

Scan to view the article on your device